@charset "UTF-8";


/*メモ*/

/*メディアクエリ、768pxはスマホ、769pxはPC*/
/*PCはhover、スマホはactive*/


html {
  font-size: 100%;
  scroll-behavior: smooth;
}

body {
  background-color: #e1dbcf;
  background-repeat: round;
  font-family: Arial, Helvetica, "BIZ UDPGothic", Meiryo, "Hiragino Kaku Gothic Pro" sans-serif;
  font-size: 0.9em;
  letter-spacing: 0.1em;
  color: black;
  margin: 0;
  padding-top: 0px !important; /* ヘッダーの高さ分 */
}
.hero {
  width: 100%;
  height: 90vh; /* 画面の90%の高さ */
  line-height: 2.0;  /* 行間（1.6〜2.0あたりが見やすい） */
  position: relative; /* 固定や絶対指定されている場合は relative に */
  top: 0; /* 必要ならリセット */
  margin-top: 0; /* marginもリセット */
}

.hero-image {
  width: 100%;
  height: 100%;
  background-image: url(../img/reform.jpg);
  background-size: cover;      /* 画面いっぱいに */
  background-position: center; /* 中央表示 */
  background-repeat: no-repeat;
  position: relative;
}

.hero-logo{
  position: absolute;
  top: 60px;
  left: 30px;
  width: 180px; /* 好みに合わせて調整 */
  z-index: 10;
}

@media (max-width: 768px) {
  .hero-logo {
    width: 120px;
    top: 10px;
    left: 10px;
  }
}

.hero-text {
  position: absolute;
  top: 25%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
}

.hero-text h1 {
  font-size: 3rem;
  letter-spacing: 0.2em;
}

.hero-text p {
  margin-top: 20px;
  font-size: 1.2rem;
  color: white;
}
@media (max-width: 767px) {
  
  .hero-text h1 {
    font-size: 1.8rem;
    letter-spacing: 0.15em;
  }
  .hero-text {
    top: 38%;
  }

  .hero-text p {
    font-size: 0.9rem;
  }
}
section {
  margin-top: 50px;
}
main {
  margin-bottom: 50px;
  padding-top: 0; 
}
@media (max-width: 767px) {
  main {
    padding-top: 0; 
  }
}


h1 {
  margin-top: 1em;
  margin-bottom: 1em;
  font-size: 1.5em;
}
h1 a {
  color: black;
  text-align: center;
}
h2 {
  display: flex;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 1.4em;
}
@media (max-width: 767px) {
  h2 {
    padding-left: 5%;
  }
}

h3 {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 1.1em;
  text-align: center;
}
p {
  color: black;
  padding-bottom: 1em;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
}
li {
  list-style: none;
}
ol {
  list-style: decimal;
  padding-left: 40px;
}

ol li {
  list-style: decimal;
  padding-bottom: 10px;
}

.video video {
  width: 100%;
  max-width: 100%;
  display: block;
  margin: 40px auto;
}


/*　スマホのみ強制改行　*/
.sp {
  display: none;
}

.flex-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.item {
  width: 48%;
  text-align: left;
}
.item img {
  width: 100%;
}

/* ページのトップへ */
.reserve {
  height: 100px;
  width: 100px;
  position: fixed;
  right: 30px;
  bottom: 30px;
  background: #f15a24;
  color: #fff;
  font-size: 150%;
  border-radius: 50%;
  box-shadow: 0 0 10px #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
}

/* ハンバーガーメニュー */
.hamburger {
  visibility: hidden;
  display: none;
  z-index: 10;
}

/* グーグルマップ */
iframe {
  width: 100%;
  aspect-ratio: 16/9;
}

/*中身のコンテンツの最大幅を設定し、共通で使用*/
.wrapper {
  max-width: 1000px;
  margin: auto;
  padding: 5% 5%;
  background-color: #fff;
  border: #000 solid 1px;
}
@media (max-width: 767px) {
  .wrapper {
    margin: 5%;
  }
}


/* 半分画像を入れたいとき */
.inner-box {
  display: flex;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.3);
}

.inner-text {
  width: 60%;
  padding-right: 40px;
}
.inner-text :last-child {
  padding-bottom: 20px;
}

.image-harf {
  width: 40%;
}

.image-harf img {
  width: 100%;
  height: auto;
  display: block;
}

@media (max-width: 767px) {
  .inner-box {
    flex-direction: column;
    padding: 5%;
  }

  .inner-text,
  .image-harf {
    width: 100%;
    padding-right: 0;
  }
}

/*-------------------------------------------
サービス
-------------------------------------------*/

.services {
  max-width: 1000px;
  margin: auto;
  padding: 3% 3%;
}

.services-inner {
  max-width: 1000px;
  margin: 2% 5%;
  display: flex;
  gap: 40px;
}

.service-box {
  width: 50%;
  padding: 10px 30px;
  box-sizing: border-box;
  background-color: #fff;
  border: 1px solid #333; 
  display: block;
  text-decoration: none;
  color: inherit;
  transition: 0.3s;
}
.service-box:hover {
  opacity: 0.8;
  transform: translateY(-3px);
}


.service-box h2 {
  text-align: center;
  padding: 20px;
  margin-bottom: 20px;
}


/* 画像エリア */
.service-image {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
  font-size: 1.5rem;
  text-align: center;
}

.right .service-image img{
  display: inline-block;
  max-width: 80%;
}
.service-image a{
  align-items: center;
}

.service-text {
  line-height: 1.8;
  text-align: center;
}

@media (max-width: 767px) {

  .services-inner {
    flex-direction: column; /* ← 縦並び */
  }

  .service-box {
    width: 100%;   /* 横幅100%に */
  }
}


/* ギャラリー */
.wrapper_photo {
  max-width: 1000px;
  margin: auto;
}

.gallery {
  display: grid;
  gap: 10px;
  margin-top: 20px;
}

/* PC: 3列 */
@media (min-width: 768px) {
  .gallery {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* スマホ: 2列 */
@media (max-width: 767px) {
  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

.gallery img {
  width: 100%;
  object-fit: cover;
  cursor: pointer;
  border-radius: 6px;
  transition: 0.3s;
}
.gallery img:hover {
  opacity: 0.8;
}

/* モーダル */
.modal {
  display: none;
  position: fixed;
  z-index: 9999;
  padding-top: 40px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background: white;
}

.modal-content {
  margin: auto;
  display: block;
  max-width: 90%;
  max-height: 80vh;
}

.close {
  position: absolute;
  top: 20px;
  right: 30px;
  color: black;
  font-size: 40px;
  cursor: pointer;
  font-weight: bold;
}

/*-------------------------------------------
ヘッダー
-------------------------------------------*/
.container {
  max-width: 1000px;
  margin: 0 auto;
  padding: 0 20px;
  box-sizing: border-box;
}

#header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #fff;
  z-index: 1000;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}
@media (max-width: 767px) {
  #header {
    display: none;
  }
}

.header-inner {
  max-width: 1100px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;  /* ここを追加 */
  padding: 15px 20px;
}

.gnav {
  display: flex;
  gap: 40px;
  list-style: none;
  margin: 0;
  padding: 0;
  width: auto; /* またはwidth指定を削除 */
}

.gnav li {
  margin-bottom: 0;
}

.gnav li a {
  white-space: nowrap;
  text-decoration: none;
  color: #333;
}


/*-------------------------------------------
ロゴ部分
-------------------------------------------*/
.logo-pc {
  display: inline-block;
}

.logo-sp {
  display: none;
}

/*-------------------------------------------
装飾
-------------------------------------------*/
* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}
a {
  text-decoration: none;
}


/*-------------------------------------------
About us
-------------------------------------------*/
#about {
  margin-bottom: 10px; /* 箇条書き同士の余白 */
  padding: 5%;
  text-align: center;
  line-height: 1.8;  /* 行間（1.6〜2.0あたりが見やすい） */
}
#about div{
  padding: 5%;
}

/*-------------------------------------------
設備・サービス
-------------------------------------------*/
#service .flex-item {
  display: block;
}
table tr th {
  width: 120px;
  font-weight: normal;
  text-align: right;
  vertical-align: top;
  padding: 10px 0 10px 0;
}
table tr td {
  text-align: left;
  padding: 10px 0 10px 0;
}


/*-------------------------------------------
フッター
-------------------------------------------*/


#footer {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #755924;
  color: #fff;
  padding: 40px 20px;
}

#footer,
#footer p,
#footer h1,
#footer h2,
#footer h3,
#footer li,
#footer a {
  color: #fff;
}

.footer-inner {
  max-width: 800px;
  margin: 0 auto;
}

.footer-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
}

.footer-logo {
  background: #fff;
  padding: 5px;
  display: inline-block;
}

.footer-logo img {
  width: 140px;
  height: auto;
}

.footer-info {
  flex: 1;
  line-height: 1.8;
}

.footer-services {
  margin-bottom: 15px;
  font-weight: 500;
}

#footer .tel-number a {
  color:#fff;
  text-decoration:none;
}

.copyright {
  text-align: center;
  margin-top: 30px;
  font-size: 14px;
}

/*-------------------------------------------
SP
-------------------------------------------*/
@media screen and (max-width: 767px) {
  body {
    margin: 0;
  }
  #header {
    margin-top: 0
  }
  .hamburger {
    visibility: visible;
    display: contents;
  }
  .hamburger img {
    margin-top: 20px;
    margin-bottom: 10px;
  }
  .flex-item {
    display: block;
  }
  .item {
    width: 100%;
    text-align: center;
  }
  .item img {
    width: 100%;
  }

  nav .gnav{
    display: none;
  }

  
  /*-------------------------------------------
  画像切り替え用アニメーション
  -------------------------------------------*/
  .container{
    top: 0;
    max-height: 550px;
    max-width: 720px;
  }

  /*-------------------------------------------
  ロゴ部分
  -------------------------------------------*/
  .rounded-box {
    border-radius: 50px;
  }
  .rounded-box > p {
    padding-right: 0; /* 右側メニューとの隙間 */
  } 

  .logo-pc {
    display: none;
  }
  .logo-sp {
    display: inline-block;
    max-width: 100%;
    height: auto;
  }

    /*-------------------------------------------
    ページのトップへ
    -------------------------------------------*/

  .pagetop {
    right: 5%;
    bottom: 10%;
  }

  /*-------------------------------------------
  注意事項
  -------------------------------------------*/
  #note li {
    margin-left: 15px;
  }

  /*-------------------------------------------
  フッター
  -------------------------------------------*/
  .footer-top {
    flex-direction: column;
    text-align: center;
  }

  /*　スマホのみ強制改行　*/
  .sp {
    display: block;
  }
}

